SUSE 10.1, PHP5 Module Installation Problem

Discussion in 'Installation/Configuration' started by chris.zeman, Jul 7, 2006.

  1. chris.zeman

    chris.zeman New Member

    I am configuring my web server using The Perfect Setup - SuSE 10.1 (32-bit) tutorial.

    I successfully executed yast2 -i apache2 apache2-devel apache2-mod_perl apache2-mod_php5 apache2-prefork perl-HTML-Parser perl-HTML-Tagset perl-Tie-IxHash perl-URI perl-libwww-perl php5 php5-devel zlib zlib-devel.

    The problem occurs when I execute yast2 -i php5-bcmath php5-bz2 php5-calendar php5-ctype php5-curl php5-dbase php5-debuginfo php5-dom php5-filepro php5-ftp php5-gd php5-gettext php5-gmp php5-iconv php5-imap php5-ldap php5-mbstring php5-mcrypt php5-mhash php5-mysql php5-mysqli php5-ncurses php5-odbc php5-openssl php5-pcntl php5-pgsql php5-posix php5-shmop php5-snmp php5-soap php5-sockets php5-sqlite php5-sysvsem php5-tokenizer php5-wddx php5-xmlrpc php5-xsl php5-zlib php5-exif php5-fastcgi php5-pear php5-sysvmsg php5-sysvshm ImageMagick curl. I get the following error message:


    I'm not sure what it means by atom:php5 since I wasn't trying to install any modules called atom, and php5 is already installed. Any ideas?

  2. chris.zeman

    chris.zeman New Member

    It appears the problem was probably with Yast not realizing php5 was already installed. I took the advice of a user on another forum and selected Ignore. I installed the packages and everything works great. :D


Share This Page